description

# WebSocketStatus class Null safety

WebSocket status codes used when closing a WebSocket connection.

## Constructors

WebSocketStatus()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

ABNORMAL_CLOSURE → const int
  @Deprecated("Use abnormalClosure instead")
  `abnormalClosure`
abnormalClosure → const int
  `1006`
GOING_AWAY → const int
  @Deprecated("Use goingAway instead")
  `goingAway`
goingAway → const int
  `1001`
INTERNAL_SERVER_ERROR → const int
  @Deprecated("Use internalServerError instead")
  `internalServerError`
internalServerError → const int
  `1011`
INVALID_FRAME_PAYLOAD_DATA → const int
  @Deprecated("Use invalidFramePayloadData instead")
  `invalidFramePayloadData`
invalidFramePayloadData → const int
  `1007`
MESSAGE_TOO_BIG → const int
  @Deprecated("Use messageTooBig instead")
  `messageTooBig`
messageTooBig → const int
  `1009`
MISSING_MANDATORY_EXTENSION → const int
  @Deprecated("Use missingMandatoryExtension instead")
  `missingMandatoryExtension`
missingMandatoryExtension → const int
  `1010`
NO_STATUS_RECEIVED → const int
  @Deprecated("Use noStatusReceived instead")
  `noStatusReceived`
NORMAL_CLOSURE → const int
  @Deprecated("Use normalClosure instead")
  `normalClosure`
normalClosure → const int
  `1000`
noStatusReceived → const int
  `1005`
POLICY_VIOLATION → const int
  @Deprecated("Use policyViolation instead")
  `policyViolation`
policyViolation → const int
  `1008`
PROTOCOL_ERROR → const int
  @Deprecated("Use protocolError instead")
  `protocolError`
protocolError → const int
  `1002`
reserved1004 → const int
  `1004`
reserved1015 → const int
  `1015`
RESERVED_1004 → const int
  @Deprecated("Use reserved1004 instead")
  `reserved1004`
RESERVED_1015 → const int
  @Deprecated("Use reserved1015 instead")
  `reserved1015`
UNSUPPORTED_DATA → const int
  @Deprecated("Use unsupportedData instead")
  `unsupportedData`
unsupportedData → const int
  `1003`